using System;
using System.Collections.Generic;
using System.Text;
using LINQQueries;

namespace MySpecification
{
    public interface ISpecification
    {
        bool IsSatisfiedBy(Customer customer);
    }

    public class CustomerInLondonSpecification : ISpecification
    {
        public bool IsSatisfiedBy(Customer customer)
        {
            return customer.City == "London";
        }
    }
}
