using System;
using System.Collections.Generic;
using System.Text;

namespace RubyRanges
{
    public static class Sequence
    {
        public static void Each<T>(this IEnumerable<T> source, Action<T> action)
        {
            foreach (T item in source)
            {
                action(item);
            }
        }
    }
}
