using System;
using System.Collections.Generic;
using System.Text;
using LINQQueries;

namespace MySpecification
{
    public class CustomerForCitySpecification : ISpecification
    {
        private string city;

        /// <summary>
        /// Initializes a new instance of the CustomerForCitySpecification class.
        /// </summary>
        /// <param name="city"></param>
        public CustomerForCitySpecification(string city)
        {
            this.city = city;
        }

        #region ISpecification Members

        public bool IsSatisfiedBy(Customer customer)
        {
            return customer.City == city;
        }

        #endregion
    }
}
